Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "L'outil {{KEY|16px|Ajouter|link=Arch_Add/fr Ajouter}} peut être utilisé dans une macro, ou dans la console '''Python''' ...")
(Created page with "*Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter fenêtres à un mur, ou murs à un niveau. * Returns nothing.")
Line 22: Line 22:
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 
  '''addComponents (objectsList,hostObject)''':  
 
  '''addComponents (objectsList,hostObject)''':  
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
+
*Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter fenêtres à un mur, ou murs à un niveau.
 
* Returns nothing.
 
* Returns nothing.
  

Revision as of 00:20, 29 November 2013

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents (objectsList,hostObject): 
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter fenêtres à un mur, ou murs à un niveau.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語